<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bBD.m05bFestivo,m05bClasses.*,java.io.PrintWriter" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
		<!-- Para poder mostrar caracteres especiales en los mensajes javascript -->
<%@page contentType="text/html; charset=UTF-8" %>

<HTML>

<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if (session.getAttribute("objetoSeguridad") == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> 
<%
	} 
	String persona = (String) session.getAttribute("persona");
%>	
	<%@ include file="/m05bIdioma.inc"%>

<head>
		<title><%= resTit.getString("titPrcFestivos")%></title>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/formateador.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>

</head>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<div id='p01popUpWindowCalendar' style='position:relative; top:15px left:150px'></div>
<%
	String sql = "", codigo, descripcion="", edescripcion="", mensaje, accion="";
	m05bFestivo festivo = null;
	m05bComun miComun = new m05bComun();
	m05bCombo miCombo = new m05bCombo();
	m05bGenerarClave miClave = new m05bGenerarClave();
	m05bFileLog miLog = new m05bFileLog();

	codigo = request.getParameter("Codigo");
	miLog.addTraza(persona, "Festivo", "CODIGO: " + codigo, m05bConstantes.LOG_NIVEL_BAJO);
	mensaje = request.getParameter("Mensaje")==null?"":request.getParameter("Mensaje");

	PrintWriter outMsg= response.getWriter();
	if (mensaje.equals(m05bConstantes.MSG_OK)) {
		    outMsg.println("<script>alert(dameAlerta(idioma, 3));</script>");
	} else if (mensaje.equals(m05bConstantes.MSG_INTEGRIDAD)){
			accion=m05bConstantes.ACC_ACTUALIZAR;
	   		outMsg.println("<script>alert(dameAlerta(idioma, 5));</script>");
    } else if (mensaje.equals(m05bConstantes.MSG_EXISTE)){
			accion=m05bConstantes.ACC_INSERTAR;
	   		outMsg.println("<script>alert(dameAlerta(idioma, 60));</script>");
	}
	outMsg.close();
	miLog.addTraza(persona, "Festivo", "CODIGO-1: " + codigo, m05bConstantes.LOG_NIVEL_BAJO);
	
	accion = request.getParameter("Accion")==null?"":request.getParameter("Accion");
	if ((accion.equals(m05bConstantes.ACC_INSERTAR)) && (mensaje.equals(""))){
	        session.removeAttribute("m05bFestivo");
			codigo=""+miClave.getNextId(m05bConstantes.TAB_FESTIVOS, m05bConstantes.COL_08_CODIGO);
			miLog.addTraza(persona, "Festivo", "CODIGO-2: " + codigo, m05bConstantes.LOG_NIVEL_BAJO);
	} else  {
	        festivo = (m05bFestivo)session.getAttribute("m05bFestivo");
			miLog.addTraza(m05bConstantes.LOG_NO_USER, "Festivo", festivo.getFes_fecha(), m05bConstantes.LOG_NIVEL_BAJO);
	}
	if (festivo == null){
			festivo = new m05bFestivo();
			session.setAttribute("m05bFestivo",festivo);
			miLog.addTraza(persona, "Festivo", "NULL",  m05bConstantes.LOG_NIVEL_BAJO);
	}
%>
 <SCRIPT language=JavaScript>
	var urlIdioma;		//URL recarga en funcion del idioma	var urlIdioma;
	var detPadre;		//Ventana padre de la actual
	var detActual;		//Ventana actual
	var rutaCabecera;	//Camino de migas
	urlIdioma = "<%=m05bConstantesPaginas.PRC_FESTIVOS%>?Codigo=<%=codigo%>&Mensaje=false";
	detPadre = '<%=resCM.getString("cmPrcRelFestivos")%>';
	rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%><%=m05bConstantesPaginas.PRC_CALENDARIO%>" + "'>\\"+detPadre+"</a>";
	detActual = '<%=resCM.getString("cmPrcFestivos")%>';
	//rutaCabecera += "<%=m05bConstantesPaginas.DATOS_CABECERA%>" + urlIdioma + "'>\\"+detActual+"</a>";
 </SCRIPT>
 <%@include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<p> 	 
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
			<FORM NAME="formFestivos" METHOD="POST">
				<!-- Hojas de Estilo -->
					<%	String m05bCalendarEstilo = m05bFicheroProperties.getInstance().getParameter("m05bEstilos.Calendario");  %>
					<%=m05bCalendarEstilo%>
				<!-- Calendarios -->
					<%	String m05bCalendarScripts = m05bFicheroProperties.getInstance().getParameter("m05bScripts.Calendario");  %>
					<%=m05bCalendarScripts%>
					  <TABLE class="general">
					    <tr> 
						      <td width="90%" align="right"> 
						      	<input type="button" class="boton" name="<%= res.getString("etBOT_ELIMINAR")%>" value="<%= res.getString("etBOT_ELIMINAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=m05bConstantes.ACC_ELIMINAR%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSELIMINAR")%>'; return false" onMouseOut="top.status=''; return false" />
						      </td>
						      <td width="10%" align="right"> 
						      	<input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=accion%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" />
						      </td>
						</tr>
					  </TABLE>
					<p>
					  <TABLE class="general">
					    <tr> 
						      <td width="18%" class="inputFieldTitle"><%= res.getString("etCodigo")%></td>
						      <td width="20%" class="inputFieldTitle" colspan="2"><%= res.getString("etFecha")%></td>
						      <td width="60%" class="inputFieldTitle"><%= res.getString("etDescripcion")%></td>
						      <td width="60%" class="inputFieldTitle"><%= res.getString("etDescripcionEu")%></td>
					    </tr>
					    <tr> 
					      	  <td align="left"> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Codigo" VALUE="<%=codigo%>" disabled size="19" maxlength="22"/> </td>
						      <td align="left" width="10%"> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Fecha" VALUE="<%=miComun.formatearFecha(festivo.getFes_fecha(),campoTexto3)%>" onblur="javascript:formatearFecha(this);return false;" size="12" maxlength="10"/> </td>
					          <td align="left" width="8%"> <a href='#' name='anchorFFestivo'  onClick='JavaScript:showCalendar("anchorFFestivo",idioma,document.all("Fecha"),true,25,10,2002);false;' onMouseOver="top.status='Ver Calendario'; return true" onMouseOut="top.status=''; return true" ><img border="0" src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif' name="c3"/></td>
						      <td align="left"> <INPUT class="inputField" TYPE="TEXT" NAME="Descripcion" VALUE="<%=(festivo.getFes_descrip()==null?"":festivo.getFes_descrip())%>"  size="60" maxlength="255"/> </td>
						       <td align="left"> <INPUT class="inputField" TYPE="TEXT" NAME="EDescripcion" VALUE="<%=(festivo.getFes_edescrip()==null?"":festivo.getFes_edescrip())%>"  size="60" maxlength="255"/> </td>
					     </tr>
					  </TABLE>
			</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
	</tr>
</table>
<SCRIPT language='javascript'>
	function fncGrabar(codigo,accion) {
	     var docu = document.formFestivos;
 	 	 if(docu.Fecha.value==""){
			alert(dameAlerta(idioma, 0));
			docu.Fecha.focus();
			return;
		 }
		 if(existeCaracter(docu.Descripcion.value,"\'")||existeCaracter(docu.Descripcion.value,'\"')){
			alert(dameAlerta(idioma, 1));
			docu.Descripcion.focus();
			return;
		 }
	     document.formFestivos.action="m05bGrabarFestivoServlet?Codigo=" + codigo + "&Accion=" + accion;
	     formatearFecha(document.formFestivos.Fecha);
	     document.formFestivos.submit();
	}
	formatearFecha(document.formFestivos.Fecha);
    setTimeout('initSlide();', 1);
</SCRIPT>
</BODY>
</HTML>